WordMakerParserInternal::Zone Struct Reference documentation

Public Types | Public Member Functions | Public Attributes | List of all members
WordMakerParserInternal::Zone Struct Reference

Internal: small structure used to store a zone of a WordMakerParser. More...

## Public Types
enum | Type { Z_MAIN , Z_HEADER , Z_FOOTER }
| the zone type More...

## Public Member Functions
| Zone (Type type)
| constructor
bool | empty () const
| small function to know if a zone is empty

## Public Attributes
Type | m_type
| the zone type
int | m_id
| the zone id
bool | m_hasTitlePage
| true if the document has a title page
long | m_beginPos
| the zone beginning in the file
long | m_numCharacter
| the number of character
int | m_numParagraph
| the number of paragraph
int | m_numPicture
| the number of picture

## Detailed Description

Internal: small structure used to store a zone of a WordMakerParser.

## Member Enumeration Documentation

## ◆ Type

enum WordMakerParserInternal::Zone::Type

the zone type

Enumerator
Z_MAIN |
Z_HEADER |
Z_FOOTER |

## Constructor & Destructor Documentation

## ◆ Zone()

WordMakerParserInternal::Zone::Zone | ( | Type | type | ) |
| inlineexplicit

constructor

## Member Function Documentation

## ◆ empty()

bool WordMakerParserInternal::Zone::empty | ( |  | ) | const
| inline

small function to know if a zone is empty

## Member Data Documentation

## ◆ m_beginPos

long WordMakerParserInternal::Zone::m_beginPos

the zone beginning in the file

Referenced by WordMakerParser::createZones(), WordMakerParserInternal::SubDocument::operator!=(), and WordMakerParser::sendZone().

## ◆ m_hasTitlePage

bool WordMakerParserInternal::Zone::m_hasTitlePage

true if the document has a title page

Referenced by WordMakerParser::createZones().

## ◆ m_id

int WordMakerParserInternal::Zone::m_id

the zone id

Referenced by WordMakerParser::createZones().

## ◆ m_numCharacter

long WordMakerParserInternal::Zone::m_numCharacter

the number of character

Referenced by empty().

## ◆ m_numParagraph

int WordMakerParserInternal::Zone::m_numParagraph

the number of paragraph

Referenced by empty().

## ◆ m_numPicture

int WordMakerParserInternal::Zone::m_numPicture

the number of picture

Referenced by empty().

## ◆ m_type

Type WordMakerParserInternal::Zone::m_type

the zone type

Referenced by WordMakerParser::createZones().

The documentation for this struct was generated from the following file:

- WordMakerParser.cxx